| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/vector4.h File Reference

4D vector. More...

`#include "csextern.h"`
`#include "csgeom/vector3.h"`
`#include "csutil/csstring.h"`

Go to the source code of this file.

## Classes
class | csVector4
| A 4D vector with "float" components. More...
class | csVector4T< T >
| A 4D vector with variable type components. More...

## Detailed Description

4D vector.

Definition in file vector4.h.